%define	_ureltag %(cut -d. -f-2<<<%version)-2024-10-20

# Don't enable testing for version = 2.1.0
%bcond_with	tests

Name:		kst
Version:	2.1.0
Release:	%mkrel 2
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Sciences/Other
Url:		https://kst-plot.kde.org/
Source:		https://github.com/Kst-plot/kst/archive/v%{_ureltag}/Kst-%{version}.tar.gz
Patch0:		kst-2.0.8-fix-build-against-qt-5.11.0.patch
Patch1:		kst-cmake-4.0.patch
Patch2:		kst-2.1.0-include-H5Cpp.patch
# Unittests still broken
Patch3:		kst-2.1.0-qt-wrapper.patch

BuildRequires:	cmake
BuildRequires:	hdf5-devel
BuildRequires:	netcdf-cxx-devel
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(matio)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
%{?with_tests:
BuildRequires:	pkgconfig(Qt5Test) }

Obsoletes:	kst-devel < 2.1.0-2

%description
kst is a program for looking at data streams. It can plot:
 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams).
 - data in files which are being updated as data is being logged, in
   which case in can act as a plotter for a chart recorder.
 - much more

Kst supports realtime viewing and manipulation of streaming data.

%files
%license COPYING*
%doc AUTHORS NEWS README
%{_bindir}/*
%{_libdir}/libkst*.so.*
%{_libdir}/kst2/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/x-kst.xml
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_mandir}/man1/*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{_ureltag}

%build
%cmake \
  -Dkst_install_prefix=%{_prefix} \
  -Dkst_install_libdir=%{_lib} \
  -Dkst_rpath=OFF \
  -Dkst_python=OFF \
  -Dkst_3rdparty_build=OFF \
  -Dkst_qt5=ON \
  -Dkst_verbose=ON \
  -Dkst_test=%{?with_tests:ON}%{?!with_tests:OFF}
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/libkst2*.{so,a}

%check
%{?with_tests: %ctest }


%changelog
* Wed Jul 09 2025 daviddavid <daviddavid> 2.1.0-2.mga10
+ Revision: 2252511
- no need to devel pkg

* Tue Jul 08 2025 aurr <aurr> 2.1.0-1.mga10
+ Revision: 2252422
- new version: 2.1.0
- enable hdf5 support

* Tue Jul 08 2025 daviddavid <daviddavid> 2.0.8-22.mga10
+ Revision: 2252409
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Dec 29 2022 daviddavid <daviddavid> 2.0.8-21.mga9
+ Revision: 1927513
- rebuild for new gsl 2.7.1

* Sun Dec 04 2022 daviddavid <daviddavid> 2.0.8-20.mga9
+ Revision: 1917602
- rebuild for new cfitsio 4.2.0

* Tue Nov 15 2022 kekepower <kekepower> 2.0.8-19.mga9
+ Revision: 1907616
- Rework patch from Fedora to fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.0.8-17.mga8
+ Revision: 1658814
- Rebuild for new Qt5

* Sat Oct 31 2020 akien <akien> 2.0.8-16.mga8
+ Revision: 1640844
- Rebuild against netcdf_c++ with fixed netcdf major dep

* Thu Jul 23 2020 daviddavid <daviddavid> 2.0.8-15.mga8
+ Revision: 1608161
- rebuild for new cfitsio 3.480

* Fri Mar 27 2020 daviddavid <daviddavid> 2.0.8-14.mga8
+ Revision: 1560908
- rebuild for new cfitsio 3.470

* Sun Feb 16 2020 umeabot <umeabot> 2.0.8-13.mga8
+ Revision: 1529725
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Aug 27 2019 daviddavid <daviddavid> 2.0.8-12.mga8
+ Revision: 1433804
- rebuild for new gsl 2.6

* Sun Mar 31 2019 umeabot <umeabot> 2.0.8-11.mga7
+ Revision: 1382893
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.8-10.mga7
+ Revision: 1298668
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 daviddavid <daviddavid> 2.0.8-9.mga7
+ Revision: 1233799
- add patch to fix build with new Qt5 >= 5.11.0

* Sun May 13 2018 daviddavid <daviddavid> 2.0.8-8.mga7
+ Revision: 1228826
- port to Qt5

* Sun May 13 2018 daviddavid <daviddavid> 2.0.8-7.mga7
+ Revision: 1228764
- rebuild for new cfitsio 3.450

* Wed Dec 27 2017 wally <wally> 2.0.8-6.mga7
+ Revision: 1185646
- rebuild for new gsl

* Tue Nov 22 2016 eatdirt <eatdirt> 2.0.8-5.mga6
+ Revision: 1068806
- Rebuild for new cfitsio

* Thu Mar 10 2016 daviddavid <daviddavid> 2.0.8-4.mga6
+ Revision: 988767
- add patch to fix qreal issues on arm

* Wed Mar 09 2016 eatdirt <eatdirt> 2.0.8-3.mga6
+ Revision: 988562
- Rebuild for new cfitsio

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.0.8-2.mga6
+ Revision: 927762
- rediff patch from debian to fix build with gsl version 2
- rebuild for gsl

* Wed Dec 10 2014 lmenut <lmenut> 2.0.8-1.mga5
+ Revision: 802551
- add upstream patch from branch kst2.0.8
- fix files list
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ danf <danf>
- Disable debug compile mode to work around a bug setting QT_NO_DEBUG that
  caused compile failure
+ fwang <fwang>
- build verbose
- 2.0.8

* Fri Feb 28 2014 eatdirt <eatdirt> 2.0.6-8.mga5
+ Revision: 597713
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 2.0.6-7.mga4
+ Revision: 530072
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 eatdirt <eatdirt> 2.0.6-6.mga4
+ Revision: 454958
- Rebuild for cfitsio 3.350

* Sat Jan 12 2013 umeabot <umeabot> 2.0.6-5.mga3
+ Revision: 356512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 2.0.6-4.mga3
+ Revision: 307558
- build 3rdparty plugin on

* Wed Oct 17 2012 fwang <fwang> 2.0.6-3.mga3
+ Revision: 307553
- rebuild for new netcdf

* Wed Sep 19 2012 fwang <fwang> 2.0.6-2.mga3
+ Revision: 296195
- build without 3rd party due to it is not recognize latest netcdf
- more patches
- update patch dir
- more header fix
- build with latest netcdf-c++

* Fri Aug 03 2012 fwang <fwang> 2.0.6-1.mga3
+ Revision: 278083
- new verison 2.0.6

* Tue Jul 31 2012 fwang <fwang> 2.0.5-1.mga3
+ Revision: 276454
- new version 2.0.5

* Fri Oct 14 2011 fwang <fwang> 2.0.4-1.mga2
+ Revision: 154716
- update file list
- update file list
- imported package kst

